<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <com.gh.gamecenter.common.view.SwipeLayout
        android:id="@+id/godfather"
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:weightSum="1">

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/libao1_rv_history"
                android:layout_width="match_parent"
                android:layout_height="match_parent" />
        </LinearLayout>

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/libao1_rv_list"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:overScrollMode="never" />

            <include
                android:id="@+id/reuse_loading"
                layout="@layout/reuse_loading"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerInParent="true" />

            <include
                android:id="@+id/reuse_no_connection"
                layout="@layout/reuse_no_connection" />

            <include
                android:id="@+id/reuse_none_data"
                layout="@layout/reuse_none_data" />

            <include
                android:id="@+id/reuse_data_exception"
                layout="@layout/reuse_data_exception" />

        </RelativeLayout>

    </com.gh.gamecenter.common.view.SwipeLayout>

    <RelativeLayout
        android:id="@+id/libao_skeleton"
        android:layout_width="match_parent"
        android:layout_height="match_parent"></RelativeLayout>
</FrameLayout>